com.sun.grid.jgdi.configuration

## Interface Subordinate

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    SubordinateImpl

      public interface Subordinate
      extends GEObject

  Java representation of the cull object SO_Type defined in sge_all_listsL.template

  Warning: The Subordinate class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getAction()` Get the value of the action attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getSeqNo()` Get the value of the seqNo attribute.
    `int` | `getSlotsSum()` Get the value of the slotsSum attribute.
    `int` | `getThreshold()` Get the value of the threshold attribute.
    `boolean` | `isSetAction()` Determine if any action attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetSeqNo()` Determine if any seqNo attribute is set
    `boolean` | `isSetSlotsSum()` Determine if any slotsSum attribute is set
    `boolean` | `isSetThreshold()` Determine if any threshold attribute is set
    `void` | `setAction(int aAction)` Set the action attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setSeqNo(int aSeqNo)` Set the seqNo attribute.
    `void` | `setSlotsSum(int aSlotsSum)` Set the slotsSum attribute.
    `void` | `setThreshold(int aThreshold)` Set the threshold attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setThreshold

          void setThreshold(int aThreshold)

      Set the threshold attribute.
      Parameters:
        `aThreshold` - the new value for the threshold attribute

    - #### getThreshold

          int getThreshold()

      Get the value of the threshold attribute.
      Returns:
        the value of the threshold attribute

    - #### isSetThreshold

          boolean isSetThreshold()

      Determine if any threshold attribute is set
      Returns:
        `true` if the threshold attribute is set

    - #### setSlotsSum

          void setSlotsSum(int aSlotsSum)

      Set the slotsSum attribute.
      Parameters:
        `aSlotsSum` - the new value for the slotsSum attribute

    - #### getSlotsSum

          int getSlotsSum()

      Get the value of the slotsSum attribute.
      Returns:
        the value of the slotsSum attribute

    - #### isSetSlotsSum

          boolean isSetSlotsSum()

      Determine if any slotsSum attribute is set
      Returns:
        `true` if the slotsSum attribute is set

    - #### setSeqNo

          void setSeqNo(int aSeqNo)

      Set the seqNo attribute.
      Parameters:
        `aSeqNo` - the new value for the seqNo attribute

    - #### getSeqNo

          int getSeqNo()

      Get the value of the seqNo attribute.
      Returns:
        the value of the seqNo attribute

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Determine if any seqNo attribute is set
      Returns:
        `true` if the seqNo attribute is set

    - #### setAction

          void setAction(int aAction)

      Set the action attribute.
      Parameters:
        `aAction` - the new value for the action attribute

    - #### getAction

          int getAction()

      Get the value of the action attribute.
      Returns:
        the value of the action attribute

    - #### isSetAction

          boolean isSetAction()

      Determine if any action attribute is set
      Returns:
        `true` if the action attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.